Last Comment Bug 1128039 - Autoland to inbound service for MozReview
: Autoland to inbound service for MozReview
Status: RESOLVED FIXED
:
Product: MozReview
Classification: Other
Component: General (show other bugs)
: unspecified
: All All
P1 normal
: ---
Assigned To: Dan Minor [:dminor]
:
:
Mentors:
Depends on: 1174124 1174752 1175529 1180818 1183295 1198915 1217141 1217337
Blocks: 1060226 1086645 1160479
  Show dependency treegraph
 
Reported: 2015-01-30 12:42 PST by Dan Minor [:dminor]
Modified: 2016-02-21 20:31 PST (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
MozReview Request: autoland: support transplanting to non-Try destinations (bug 1128039) r?gps (40 bytes, text/x-review-board-request)
2015-07-15 08:21 PDT, Dan Minor [:dminor]
no flags Details | Review
MozReview Request: autoland: support push_bookmark in REST endpoints (bug 1128039) r?mdoglio (40 bytes, text/x-review-board-request)
2015-07-15 08:21 PDT, Dan Minor [:dminor]
no flags Details | Review
MozReview Request: autoland: handle unrecognized trees in treestatus (bug 1128039) r?mdoglio (40 bytes, text/x-review-board-request)
2015-07-15 08:21 PDT, Dan Minor [:dminor]
no flags Details | Review
MozReview Request: autoland: support longer tree and destination names (bug 1128039) r?mdoglio (40 bytes, text/x-review-board-request)
2015-07-15 08:21 PDT, Dan Minor [:dminor]
no flags Details | Review
MozReview Request: autoland: test non-Try destinations (bug 1128039) r?mdoglio (40 bytes, text/x-review-board-request)
2015-07-15 08:21 PDT, Dan Minor [:dminor]
no flags Details | Review
MozReview Request: mozreview: rename autoland try tree in mozreview extension (bug 1183295) r?mdoglio (40 bytes, text/x-review-board-request)
2015-07-15 08:21 PDT, Dan Minor [:dminor]
no flags Details | Review

Description User image Dan Minor [:dminor] 2015-01-30 12:42:33 PST
Bug 1086645 is asking that review requests automatically be closed when changesets are made public upon a push to a repository. This is something that can be easily done by Autoland because the request from MozReview to land on an inbound tree will contain the review id.

Autoland currently only supports landing to try. Adding the capability to land to inbound is a first step.
Comment 1 User image Dan Minor [:dminor] 2015-07-15 08:21:41 PDT
Created attachment 8634137 [details]
MozReview Request: autoland: support transplanting to non-Try destinations (bug 1128039) r?gps

autoland: support transplanting to non-Try destinations (bug 1128039) r?gps

At the moment, the Autoland code assumes the destination is Try. This patch
makes the 'try syntax' optional and adds support for pushing using a bookmark,
as well as removing gecko specific naming conventions.
Comment 2 User image Dan Minor [:dminor] 2015-07-15 08:21:43 PDT
Created attachment 8634138 [details]
MozReview Request: autoland: support push_bookmark in REST endpoints (bug 1128039) r?mdoglio

autoland: support push_bookmark in REST endpoints (bug 1128039) r?mdoglio

This adds support to for the push_bookmark field in the autoland json
structure.
Comment 3 User image Dan Minor [:dminor] 2015-07-15 08:21:44 PDT
Created attachment 8634139 [details]
MozReview Request: autoland: handle unrecognized trees in treestatus (bug 1128039) r?mdoglio

autoland: handle unrecognized trees in treestatus (bug 1128039) r?mdoglio

When we start autolanding to non-gecko trees like version-control-tools we need
to deal with tree status that isn't present on treestatus.mozilla.org. For now,
we'll assume any unrecognized tree is open.
Comment 4 User image Dan Minor [:dminor] 2015-07-15 08:21:45 PDT
Created attachment 8634140 [details]
MozReview Request: autoland: support longer tree and destination names (bug 1128039) r?mdoglio

autoland: support longer tree and destination names (bug 1128039) r?mdoglio

Turns out 'version-control-tools' is 21 characters, so we should probably
support longer source and destination tree names.
Comment 5 User image Dan Minor [:dminor] 2015-07-15 08:21:47 PDT
Created attachment 8634141 [details]
MozReview Request: autoland: test non-Try destinations (bug 1128039) r?mdoglio

autoland: test non-Try destinations (bug 1128039) r?mdoglio
Comment 6 User image Dan Minor [:dminor] 2015-07-15 08:21:48 PDT
Created attachment 8634142 [details]
MozReview Request: mozreview: rename autoland try tree in mozreview extension (bug 1183295) r?mdoglio

mozreview: rename autoland try tree in mozreview extension (bug 1183295) r?mdoglio
Comment 7 User image Dan Minor [:dminor] 2015-11-25 11:05:21 PST
I'm going to close this one. We've been autolanding to version-control-tools for roughly a month and we've successfully landed to mozilla-inbound and cedar.

Bug 1220214 is a tracker for things that need to be fixed prior to turning this on for a larger audience, it makes more sense to file new bugs as blockers there rather than here.

Note You need to log in before you can comment on or make changes to this bug.